📦 BlueBaseModule

### Type parameters

- #### T

### Hierarchy

- Promise<T>
  - BlueBaseModule

## Index

### Properties

- Promise
- __@toStringTag
- isAsync
- loaded
- module

### Methods

- catch
- then

## Properties

### Promise

Promise: PromiseConstructor

- Defined in /Users/artalat/Coding/bluebase/core/node_modules/typedoc/node_modules/typescript/lib/lib.es2015.promise.d.ts:216

### __@toStringTag

__@toStringTag: "Promise"

Inherited from Promise.[Symbol.toStringTag]

- Defined in /Users/artalat/Coding/bluebase/core/node_modules/typedoc/node_modules/typescript/lib/lib.es2015.symbol.wellknown.d.ts:169

### isAsync

isAsync: boolean

- Defined in utils/BlueBaseModule.ts:40

This flag tells if the initial input module as a promise. If it is false, then it means that the module property represents the actual module, converted from ES.

### loaded

loaded: boolean

- Defined in utils/BlueBaseModule.ts:45

Has the promise resolved at least once?

### module

module: MaybePromise<MaybeEsModule<T>>

- Defined in utils/BlueBaseModule.ts:33

This is the input value. If this value is an ES module, then we store the value of `.default` property.

This element may (in case of code splitting) or may not be a Promise. Also, the promise itself may or may not resolve an ES module.

## Methods

### catch

- catch<TResult>(onrejected?: function | undefined | null): Promise<T | TResult>

- Inherited from Promise.catch

  - Defined in /Users/artalat/Coding/bluebase/core/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1343

  Attaches a callback for only the rejection of the Promise.

  #### Type parameters

  - #### TResult

  #### Parameters

  - ##### Optional onrejected: function | undefined | null

    The callback to execute when the Promise is rejected.

  #### Returns Promise<T | TResult>

  A Promise for the completion of the callback.

### then

- then<TResult1, TResult2>(onfulfilled?: function | undefined | null, onrejected?: function | undefined | null): Promise<TResult1 | TResult2>

- Inherited from Promise.then

  - Defined in /Users/artalat/Coding/bluebase/core/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1336

  Attaches callbacks for the resolution and/or rejection of the Promise.

  #### Type parameters

  - #### TResult1

  - #### TResult2

  #### Parameters

  - ##### Optional onfulfilled: function | undefined | null

    The callback to execute when the Promise is resolved.

  - ##### Optional onrejected: function | undefined | null

    The callback to execute when the Promise is rejected.

  #### Returns Promise<TResult1 | TResult2>

  A Promise for the completion of which ever callback is executed.

Generated using TypeDoc